Linux Kernel KVM MCE “KVM_X86_SETUP_MCE” puffer túlcsordulásos sérülékenység

CH azonosító

CH-2655

Felfedezés dátuma

2009.11.16.

Súlyosság

Alacsony

Érintett rendszerek

Kernel
Linux

Érintett verziók

Linux Kernel 2.6.x

Összefoglaló

Egy sérülékenységet jelentettek a Linux Kernelben, amelyet a rosszindulatú helyi felhasználók kihasználhatnak szolgáltatás megtagadás (DoS) előidézéséhez, valamint jogosultságaik kiterjesztéséhez.

Leírás

Egy sérülékenységet jelentettek a Linux Kernelben, amelyet a rosszindulatú helyi felhasználók kihasználhatnak szolgáltatás megtagadás (DoS) előidézéséhez, valamint jogosultságaik kiterjesztéséhez.

A sérülékenységet az arch/x86/kvm/x86.c “kvm_vcpu_ioctl_x86_setup_mce()” függvényének hibája okozza. Ez kihasználható memória kezelési probléma előidézéséhez, pl. egy speciálisan elkészített “KVM_X86_SETUP_MCE” IOCTL küldésével.

Megoldás

Frissítsen a legújabb verzióra